function Protwarbar:UpdateRageBar(power)
	local PWB = Protwarbar:getPWB()

	RageBar:SetValue(power)


	if power < 20  then
		RageBar:SetStatusBarColor(PWB.db.profile.rageFrame.color20[1], PWB.db.profile.rageFrame.color20[2],
			PWB.db.profile.rageFrame.color20[3], PWB.db.profile.rageFrame.color20[4])
	elseif power < 60 then
		RageBar:SetStatusBarColor(PWB.db.profile.rageFrame.color60[1], PWB.db.profile.rageFrame.color60[2],
			PWB.db.profile.rageFrame.color60[3], PWB.db.profile.rageFrame.color60[4])
	elseif power < 100 then
		RageBar:SetStatusBarColor(PWB.db.profile.rageFrame.color100[1], PWB.db.profile.rageFrame.color100[2],
			PWB.db.profile.rageFrame.color100[3], PWB.db.profile.rageFrame.color100[4])
	elseif power < PWB.maxPower then
		RageBar:SetStatusBarColor(PWB.db.profile.rageFrame.color120[1], PWB.db.profile.rageFrame.color120[2],
			PWB.db.profile.rageFrame.color120[3], PWB.db.profile.rageFrame.color120[4])
	else
		RageBar:SetStatusBarColor(PWB.db.profile.rageFrame.colorMax[1], PWB.db.profile.rageFrame.colorMax[2],
			PWB.db.profile.rageFrame.colorMax[3], PWB.db.profile.rageFrame.colorMax[4])
	end

	RageBarText:SetText(power)
end